Retrieves the company contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "59f6cdaf-e3ee-43d6-85b1-ba21da0fca13",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "44a0302b-b168-4c21-83a9-e3c5f9d8de14",
"company_code": "sample string 5",
"company": {
"id": "c158fc85-c7bf-4348-8079-04e0ea180fb4",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-26T17:09:01.2506012+00:00",
"sales_territory_id": "d5588109-88df-4a04-8fc9-6fd557ec55bd",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "b1c32bae-c412-4bf0-904c-e4ad579298b1",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "81e6509b-31c3-4b4b-b758-d5d91044e451",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "465273d6-be09-4e96-ac5e-2b67cb13a7cf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a2b1adb8-3e60-42f5-a723-18ee9631ac3a",
"db_currency_id": "691ae479-4f17-4d40-9866-012cfb6de477",
"db_language_id": "91821904-d908-4266-a451-d43c74f66ce3",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00"
},
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00"
},
"marketing_segment_id": "5b3cc645-16ef-4ec4-9261-1cd43ff6f8b4",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "47fe63df-a13c-4ac6-a494-c5597bbe6118",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "bb686b72-e5ce-48fa-9370-26da0cdef3ea",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "2681654f-d545-4f2e-a84d-e52947aa797c",
"db_country_code": "sample string 28",
"feelist_id": "14aafbf4-2c8b-4f44-948b-a577bbca3eca",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "acc20a55-3248-43b5-895c-1144fc7377e1",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "810369b5-9315-48f1-a0cf-f5c106fbdb47",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00",
"db_currency_id": "a6e09799-ecc0-456d-8467-250593789b87",
"db_currency_code": "sample string 10"
},
"company_type_id": "408d8756-3751-452c-a5eb-0aea98b02d74",
"company_type_name": "sample string 32",
"company_type": {
"id": "580e8062-7688-4c98-85c3-386b9fdd959d",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "e37fe4e0-fc78-4ef1-8910-80140fd07742",
"sales_organization_code": "sample string 5"
},
"db_language_id": "946ceec3-fb18-45ad-97ce-31d0e68dd1fc",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "3d734e3b-ff84-49a2-97cd-215c868ec4dc",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "e9757f7a-ca7d-4ec9-a64a-0b7bd5554cc3",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "fc6fb479-9212-4fa6-8ff3-f234fce34d51",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00"
},
"company_sector_id": "649b688d-6697-469b-b0f2-5d09b88c6d71",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "c0db2976-2c4b-44a0-9765-6a0c8b3856c8",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "cbf3b5ae-a3c5-4080-bcec-d669819a7fbc",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "ee12174f-23fd-4ae9-ba5f-8c23ae07e6bb",
"account_manager_user_code": "sample string 56",
"company_status_id": "deee437f-8875-4d3a-bd28-f19c2149373f",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00",
"id2": 60
},
"db_language_id": "abef45a0-ca91-4969-835b-6edc5664118f",
"db_language_code": "sample string 7",
"db_title_id": "4ee5a6bd-10f4-4115-83de-4d361ecb15c5",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-26T17:09:01.2506012+00:00",
"create_date": "2026-10-26T17:09:01.2506012+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-26T17:09:01.2506012+00:00"
}